Math
Date: 2016-06-24

java.lang

## Class Math

- java.lang.Object
- - java.lang.Math

-     public final class Math
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `E`
    `static double` | `PI`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `abs(double var0)`
    `static float` | `abs(float var0)`
    `static int` | `abs(int var0)`
    `static long` | `abs(long var0)`
    `static double` | `acos(double var0)`
    `static double` | `asin(double var0)`
    `static double` | `atan(double var0)`
    `static double` | `atan2(double var0, double var1)`
    `static double` | `ceil(double var0)`
    `static double` | `cos(double var0)`
    `static double` | `exp(double var0)`
    `static double` | `floor(double var0)`
    `static double` | `IEEEremainder(double var0, double var1)`
    `static double` | `log(double var0)`
    `static double` | `max(double var0, double var1)`
    `static float` | `max(float var0, float var1)`
    `static int` | `max(int var0, int var1)`
    `static long` | `max(long var0, long var1)`
    `static double` | `min(double var0, double var1)`
    `static float` | `min(float var0, float var1)`
    `static int` | `min(int var0, int var1)`
    `static long` | `min(long var0, long var1)`
    `static double` | `pow(double var0, double var1)`
    `static double` | `random()`
    `static double` | `rint(double var0)`
    `static long` | `round(double var0)`
    `static int` | `round(float var0)`
    `static double` | `sin(double var0)`
    `static double` | `sqrt(double var0)`
    `static double` | `tan(double var0)`
    `static double` | `toDegrees(double var0)`
    `static double` | `toRadians(double var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### E

          public static final double E

      See Also:
        Constant Field Values

    - #### PI

          public static final double PI

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### IEEEremainder

          public static double IEEEremainder(double var0,
                             double var1)

    - #### abs

          public static double abs(double var0)

    - #### abs

          public static float abs(float var0)

    - #### abs

          public static int abs(int var0)

    - #### abs

          public static long abs(long var0)

    - #### acos

          public static double acos(double var0)

    - #### asin

          public static double asin(double var0)

    - #### atan

          public static double atan(double var0)

    - #### atan2

          public static double atan2(double var0,
                     double var1)

    - #### ceil

          public static double ceil(double var0)

    - #### cos

          public static double cos(double var0)

    - #### exp

          public static double exp(double var0)

    - #### floor

          public static double floor(double var0)

    - #### log

          public static double log(double var0)

    - #### max

          public static double max(double var0,
                   double var1)

    - #### max

          public static float max(float var0,
                  float var1)

    - #### max

          public static int max(int var0,
                int var1)

    - #### max

          public static long max(long var0,
                 long var1)

    - #### min

          public static double min(double var0,
                   double var1)

    - #### min

          public static float min(float var0,
                  float var1)

    - #### min

          public static int min(int var0,
                int var1)

    - #### min

          public static long min(long var0,
                 long var1)

    - #### pow

          public static double pow(double var0,
                   double var1)

    - #### random

          public static double random()

    - #### rint

          public static double rint(double var0)

    - #### round

          public static long round(double var0)

    - #### round

          public static int round(float var0)

    - #### sin

          public static double sin(double var0)

    - #### sqrt

          public static double sqrt(double var0)

    - #### tan

          public static double tan(double var0)

    - #### toDegrees

          public static double toDegrees(double var0)

    - #### toRadians

          public static double toRadians(double var0)